GNU bug report logs - #50752
28.0.50; easy-menu-define lowers the menu-bar key

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Shuguang Sun" <shuguang79@HIDDEN>; Keywords: patch; dated Thu, 23 Sep 2021 08:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 19 Oct 2021 03:22:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 18 23:22:27 2021
Received: from localhost ([127.0.0.1]:49020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcfhq-0007Cg-Nf
	for submit <at> debbugs.gnu.org; Mon, 18 Oct 2021 23:22:27 -0400
Received: from mail-ua1-f47.google.com ([209.85.222.47]:43839)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mcfho-0007CT-GU
 for 50752 <at> debbugs.gnu.org; Mon, 18 Oct 2021 23:22:25 -0400
Received: by mail-ua1-f47.google.com with SMTP id i22so1227818ual.10
 for <50752 <at> debbugs.gnu.org>; Mon, 18 Oct 2021 20:22:24 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=QcEiLrK+hhgzD8iWVyCnRR3eLi1LhQ7zJzPHTsBBLYE=;
 b=5FTGRWIBMinYywg6ijSdKWCDIJ2/dySOZuL0eCNGhWipg7wX0dS6WIFVOw2ptgSA4r
 oyHGfgsLal+RvFKEp2FZCWkuaUOK1qmWR7qGfYxibHsWQftk8uMNQ905KA084slASimg
 4CI33/YijlexxxJQQMQCUiXMsirxkgQ7dunXp16NFDFCbRCxJsZ3NViS6P0tKVjXobUd
 e/oUnwrS9ZSOsvD7qSfMlBiludNgUgDFNRnIh5JMAxPVqwJOPEkR+7eKvl55VnCyp2At
 XU+TVzeBNgalaSbHNJIoN5er4RSDYQdLEf7loVuD4aSpi3IR75ginasyA3UophQRmTqQ
 xz/w==
X-Gm-Message-State: AOAM533r6aeHax2QBFuCJHPilTiHZRiO/DHR63jWgQtMU1xMQ87/4uoP
 R5gfQcGyVGOsbuUfnXcIU+JzaLzuS1ddAOEXZ08=
X-Google-Smtp-Source: ABdhPJxDed97PKtknrhG5HBUjBx1iZDkGEj0x+7EqkVmHNhqTbx7IsU/uFpjx+AR6MREiWYWaxL4G5s9XY+bfkmrzzE=
X-Received: by 2002:ab0:7382:: with SMTP id l2mr30108411uap.107.1634613739027; 
 Mon, 18 Oct 2021 20:22:19 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 18 Oct 2021 20:22:18 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87wnmh3p9k.fsf@HIDDEN>
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN> <87czo96shw.fsf@HIDDEN>
 <CADwFkmmip=Mf2MgOaTPGsW95aSbXqfJcVYRqrzUY1Ywd4nE8Nw@HIDDEN>
 <87wnmh5bes.fsf@HIDDEN>
 <CADwFkmmofZJcx-9MjLr7zbuLL4sks2syB7LjVGa4FUJcEENZDQ@HIDDEN>
 <87wnmh3p9k.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 18 Oct 2021 20:22:18 -0700
Message-ID: <CADwFkmnoiyzyQv-vbDmWkjTgcTsPOpUU3=on4JpX7CLkXfaZJg@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000042cf7405ceac2ba1"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--00000000000042cf7405ceac2ba1
Content-Type: text/plain; charset="UTF-8"

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>> Do we have an alternative to downcase, or should we just ensure that
>> it uses a standard case-table?  Could that lead to any other problems?
>
> But then non-ASCII characters wouldn't downcase correctly.  :-)
>
> Since we're just trying to be backwards compatible, perhaps it would
> make sense to try downcase twice -- once with the current case-table and
> once with the standard one and see whether either matches?

So I've tried this approach in the attached patch, but I couldn't get it
to work.  I'm probably doing something wrong, given that I've never so
much as glanced at language environments and case tables before this.

Eli Zaretskii <eliz@HIDDEN> writes:

> We could use the equivalent of
>
>   (get-char-code-property ?I 'lowercase)
>
> If the above returns nil, it means the lower-case variant is the
> character itself.
>
> In C, this means to use uniprop_table, like bidi.c and casefiddle.c
> do.  This accesses the database generated from UnicodeData.txt.

I didn't try this approach, mostly because it sounds more difficult to
implement than what Lars said.  I think?  Wouldn't it amount to
basically re-implementing Fdowncase?  Sorry, I didn't look too closely
at this.  Perhaps this would be the better approach.

If anyone has any preferences or further ideas here, that would be much
appreciated, otherwise I'll keep investigating.

The attached patch is what I have so far.  It's obviously not yet
finished, but all tests pass except for the one for "I->i" conversion in
the Turkish language environment.

--00000000000042cf7405ceac2ba1
Content-Type: text/x-diff; charset="utf-8"; 
	name="0001-Be-more-allowing-when-looking-for-menu-bar-items.patch"
Content-Disposition: attachment; 
	filename="0001-Be-more-allowing-when-looking-for-menu-bar-items.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 1badc529665f641d_0.1
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--00000000000042cf7405ceac2ba1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 19 Oct 2021 03:19:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 18 23:19:02 2021
Received: from localhost ([127.0.0.1]:49016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcfeY-00077T-67
	for submit <at> debbugs.gnu.org; Mon, 18 Oct 2021 23:19:02 -0400
Received: from mail-ua1-f46.google.com ([209.85.222.46]:44677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mcfeV-000771-7A
 for 50752 <at> debbugs.gnu.org; Mon, 18 Oct 2021 23:19:00 -0400
Received: by mail-ua1-f46.google.com with SMTP id r22so7461406uat.11
 for <50752 <at> debbugs.gnu.org>; Mon, 18 Oct 2021 20:18:59 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=LVYyYT640TUBsjGhG721wgjGRYbzkulpYweGAubjZrE=;
 b=hWpqwxJhwC9hK+LjRDL36rbM1ILvqivuA21GLRLY/lJu/ARmPhHtZtgs2CFgtSFiGT
 qnoCBjQt8gD+d/Gfab+rkQN+De1VavDqtLgRHVBL6dXVdmHVtlvR0WjSU7q27D5z4LND
 ymmfgAUuAdhkewYxALH8w2dHppL0WeCRCm4/AE390554U9jyFMbljOu8MA0mI9gMyzwt
 zBe4rYOG49lCKAL2Zr7An0LAgMhU0BCOQVGxy5fdPL7YzMtVSIXkxIzG3TcpPU7W7+WN
 O65tMBEIAH/0sSNb1Pm+Fil3xdVuNL2kkAblwe79T25QF5UhmVlVvqLwOU7ym6XDyEQL
 Kpcw==
X-Gm-Message-State: AOAM532/fyICmG+dGLAOcHYQFtUw+zQ/xDjchD/q6ByBTIZLvLenH8UK
 718a7psRFBgF5H6iXn+2lmjJcg/caisL8ECcx7U=
X-Google-Smtp-Source: ABdhPJykA/2+VeEBK/SFMHk86aPrcxwj2UeJX5ZQMGsB9dqRnxqeI2CVXoeObeYPWiplHDdiidxV50udVfFOWVKNgFg=
X-Received: by 2002:ab0:5b99:: with SMTP id y25mr8392616uae.47.1634613533667; 
 Mon, 18 Oct 2021 20:18:53 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 18 Oct 2021 20:18:53 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <837dehp248.fsf@HIDDEN>
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 18 Oct 2021 20:18:53 -0700
Message-ID: <CADwFkmnttCFKsypKshTvWzybJzV8zuX_GsmyU7NuucTdt=ObZw@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, larsi@HIDDEN, shuguang79@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> Also, what about the existing calls to Flookup_key from C: do they all
> need to go through the added processing, or could some of them be
> satisfied by calling lookup_key_1?

AFAICT, they need to go through the added processing, as the items could
be extended menu items in all cases.

(I will send separately a new patch that should fix the rest of your
comments.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 15 Oct 2021 18:34:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 15 14:34:39 2021
Received: from localhost ([127.0.0.1]:40408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbS2Q-0008H9-Au
	for submit <at> debbugs.gnu.org; Fri, 15 Oct 2021 14:34:39 -0400
Received: from mail-pj1-f45.google.com ([209.85.216.45]:38457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mbS2O-0008Gw-ID
 for 50752 <at> debbugs.gnu.org; Fri, 15 Oct 2021 14:34:36 -0400
Received: by mail-pj1-f45.google.com with SMTP id
 g13-20020a17090a3c8d00b00196286963b9so9926258pjc.3
 for <50752 <at> debbugs.gnu.org>; Fri, 15 Oct 2021 11:34:36 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=s69jWPjmP9rL9GQg0zVnH2JMGvzl/Se2rtltwMaO3lk=;
 b=xain/GnfkgmSMsZY78i25eZfU+oxMPsO3thri2t0TnuhMXVSmLq/LjNXUp7Ggo/0XH
 qJhKZXMa3mdeZ8kBlC2cbgV+TRCfAlj9RqssEQVRCHl+ldFoOl3hx3oc6Iz7ZWyj7UCy
 d+w2sdXXftirK8DxcGgLNPL/QOJ9c/ep0Q2vt6W8DGS87MyM7Y+pY/JJbC7iUsPXrBg5
 C4dJZ4mJiO+MSIJMI8qEh0aNw0Qn5QJXQeEn/gKJvKvYcPwf367yPo1xXeBhrK9Q0eVa
 kMc49As06EaPV194b3qF9OoMd2icUjiVO1g+U3nKr9gQW8AI/SpaoRVlNX7vuoYGnld1
 KsGg==
X-Gm-Message-State: AOAM5339YCSSv0Jql+hjI/+voxEuha3Wti9EnaakhA5Thm5uoc+frnOJ
 fPXfoB2iJaezHy2KhdZd5a/GPKW5ja+h77hLgPFa8bFB
X-Google-Smtp-Source: ABdhPJy+UyfhXbKpqwPy9SXwKbVguli0I64m8DVz4X4QBq7EYBCuCQKfyHw+eMSAfcxOmJzromWE43Oa4vm64VcXkHA=
X-Received: by 2002:a17:90a:460a:: with SMTP id
 w10mr29599718pjg.132.1634322870977; 
 Fri, 15 Oct 2021 11:34:30 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 15 Oct 2021 13:34:30 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83v91ykev9.fsf@HIDDEN>
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN> <83v91ykev9.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 15 Oct 2021 13:34:30 -0500
Message-ID: <CADwFkmn7_--sTyBf7oerEdTyCF_FDUmBOY_uiqzUx+52nRJ9Xw@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, larsi@HIDDEN, shuguang79@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> These two measures should make the code faster and easier to program
> and understand.

Thanks, this really helps!

I plan to continue looking into the issue this weekend.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 15 Oct 2021 05:59:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 15 01:59:38 2021
Received: from localhost ([127.0.0.1]:37745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbGFl-0006Db-Sl
	for submit <at> debbugs.gnu.org; Fri, 15 Oct 2021 01:59:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mbGFh-0006DK-Pl
 for 50752 <at> debbugs.gnu.org; Fri, 15 Oct 2021 01:59:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48372)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mbGFZ-0001rs-GS; Fri, 15 Oct 2021 01:59:25 -0400
Received: from [87.69.77.57] (port=2624 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mbGFZ-0002vw-3f; Fri, 15 Oct 2021 01:59:25 -0400
Date: Fri, 15 Oct 2021 08:59:22 +0300
Message-Id: <83v91ykev9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: stefan@HIDDEN
In-Reply-To: <837dehp248.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 13
 Oct 2021 14:59:03 +0300)
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, larsi@HIDDEN, shuguang79@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 13 Oct 2021 14:59:03 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: shuguang79@HIDDEN, larsi@HIDDEN, 50752 <at> debbugs.gnu.org
> 
> > +	  USE_SAFE_ALLOCA;
> > +	  ptrdiff_t size = SCHARS (lc_key), n;
> > +	  if (INT_MULTIPLY_WRAPV (size, MAX_MULTIBYTE_LENGTH, &n))
> > +	    n = PTRDIFF_MAX;
> > +	  unsigned char *dst = SAFE_ALLOCA (n);
> > +	  unsigned char *o = dst;
> > +	  ptrdiff_t j = 0, j_byte = 0, chars = 0;
> > +
> > +	  while (j < SCHARS (lc_key))
> > +	    {
> > +	      int ch = fetch_string_char_advance (lc_key, &j, &j_byte);
> > +	      if (ch == ' ')
> > +		*o = '-';
> > +	      else
> > +		*o = ch;
> > +	      chars++;
> 
> This will only work with plain-ASCII characters in lc_key (but then
> you don't need fetch_string_char_advance, you can access the bytes one
> by one).  You need to use CHAR_STRING instead.

Thinking more about this, you don't need all these complications with
fetch_string_char_advance and CHAR_STRING.  Since all you need is
replace ' ' with '-', you can walk the string data byte by byte,
because UTF-8 encoding makes sure no other byte of any multibyte
sequence will ever include a 7-bit byte equal to an ASCII single-byte
character.  So just checking the bytes for equality to ' ' is enough.
Thus, you could make a copy of the symbol's name, then walk that copy
byte by byte looking for space characters and replacing them.

Moreover, you could check up front, using 'strstr', whether the
symbol's name includes any space characters, and if not, short-circuit
the entire second attempt.

These two measures should make the code faster and easier to program
and understand.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 16:09:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 12:09:46 2021
Received: from localhost ([127.0.0.1]:33140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1magp8-0005dl-IT
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 12:09:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1magp6-0005dW-If
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 12:09:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37730)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1magp0-0001yW-UT; Wed, 13 Oct 2021 12:09:38 -0400
Received: from [87.69.77.57] (port=1288 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1magp0-0003Np-He; Wed, 13 Oct 2021 12:09:38 -0400
Date: Wed, 13 Oct 2021 19:09:32 +0300
Message-Id: <83y26wnbyb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmofZJcx-9MjLr7zbuLL4sks2syB7LjVGa4FUJcEENZDQ@HIDDEN>
 (message from Stefan Kangas on Wed, 13 Oct 2021 17:26:33 +0200)
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN> <87czo96shw.fsf@HIDDEN>
 <CADwFkmmip=Mf2MgOaTPGsW95aSbXqfJcVYRqrzUY1Ywd4nE8Nw@HIDDEN>
 <87wnmh5bes.fsf@HIDDEN>
 <CADwFkmmofZJcx-9MjLr7zbuLL4sks2syB7LjVGa4FUJcEENZDQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, larsi@HIDDEN, shuguang79@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Wed, 13 Oct 2021 17:26:33 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, Shuguang Sun <shuguang79@HIDDEN>, 50752 <at> debbugs.gnu.org
> 
> Do we have an alternative to downcase, or should we just ensure that
> it uses a standard case-table?  Could that lead to any other problems?
 
We could use the equivalent of

  (get-char-code-property ?I 'lowercase)

If the above returns nil, it means the lower-case variant is the
character itself.

In C, this means to use uniprop_table, like bidi.c and casefiddle.c
do.  This accesses the database generated from UnicodeData.txt.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 15:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 11:42:27 2021
Received: from localhost ([127.0.0.1]:33111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1magOh-0004w0-8p
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 11:42:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1magOf-0004vl-7d
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 11:42:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kiZNrv2NIDDG/pGm+LOegZSnuYXm4wTGgq+DLadJpts=; b=u6XooI75YKESfnCCbhOiW9m20n
 ldh0hREyF8C0eBymkNFIoLrBXzbMiqV9OWFx+TvQSEi/1HLwB0sgzDhYzvhR4U1uEPBnKu6qjWwwX
 zRVCdNi/6nG/ZM8dxrISyvgwmRdgoOxl0Y+LwaLLmslPe3eBGzTnprPY92/MYDUiWIGQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1magOW-0001Bg-5i; Wed, 13 Oct 2021 17:42:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN> <87czo96shw.fsf@HIDDEN>
 <CADwFkmmip=Mf2MgOaTPGsW95aSbXqfJcVYRqrzUY1Ywd4nE8Nw@HIDDEN>
 <87wnmh5bes.fsf@HIDDEN>
 <CADwFkmmofZJcx-9MjLr7zbuLL4sks2syB7LjVGa4FUJcEENZDQ@HIDDEN>
X-Now-Playing: Jan Jelinek's _The Raw and The Cooked_: "The Raw and The
 Cooked (Zwischen Raum)"
Date: Wed, 13 Oct 2021 17:42:15 +0200
In-Reply-To: <CADwFkmmofZJcx-9MjLr7zbuLL4sks2syB7LjVGa4FUJcEENZDQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 13 Oct 2021 17:26:33 +0200")
Message-ID: <87wnmh3p9k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > Do we have an
 alternative to downcase, or should we just ensure that > it uses a standard
 case-table? Could that lead to any other problems? But then non-ASCII
 characters wouldn't downcase correctly. :-) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Do we have an alternative to downcase, or should we just ensure that
> it uses a standard case-table?  Could that lead to any other problems?

But then non-ASCII characters wouldn't downcase correctly.  :-)

Since we're just trying to be backwards compatible, perhaps it would
make sense to try downcase twice -- once with the current case-table and
once with the standard one and see whether either matches?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 15:26:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 11:26:53 2021
Received: from localhost ([127.0.0.1]:33079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mag9c-0004X3-Ut
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 11:26:53 -0400
Received: from mail-pj1-f41.google.com ([209.85.216.41]:39574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mag9a-0004Wp-NI
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 11:26:51 -0400
Received: by mail-pj1-f41.google.com with SMTP id
 ls18-20020a17090b351200b001a00250584aso4694960pjb.4
 for <50752 <at> debbugs.gnu.org>; Wed, 13 Oct 2021 08:26:50 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=iElD4q3LItINgQr9pqHlA43wN3Ki8b63yb6F/N3/uSM=;
 b=SqKIos1dTNHpTNZshJ6QtHIaYaIhRw+TZ5Fr46RhJUFbkB7lIJ+ZGYC1bEgLt/agIz
 ExBGT1h9PCWr4lZtz8sY8kloN2lSF/aqSdiSsQABezTjJOTKPkVMI+xCQIE92VCk/sGV
 gCMQbGbNREvlsfbIXii1o5FqNGczAT57lyjYUWxk6CXps9lNSGHztQ0UX+zQs6eWdcf9
 f7v2+ffnVQIiGOws4w9dzhRPBYKEE1cTPkRyEQxTFPJlWzmwEZ4qr5+q8Q7yx7W0rVkj
 tVe+yuhN/FgGnat6bPUnHIEPwgiUItCGdhxFMuVUxe8TyG/yVAtl4PoqlND8LH4d7xPT
 RnzQ==
X-Gm-Message-State: AOAM533Xns2SwK4xmg1q+Qdi7vqCCys7pnsv3duC/6//1c5m6CQzuGfR
 mEt0g7qgM3Nrg5SRgrLXfQZb2KGYU3kPZOmGWvY=
X-Google-Smtp-Source: ABdhPJzPblJYFgmmYUjWIVM7GGPuQBwfeqVPljbGVGqpRwi2y1qy4Mwot6oZ76Y9Xd+NMZCHLn8Ty/bBqF8rSsYHDR8=
X-Received: by 2002:a17:90a:460a:: with SMTP id
 w10mr14204525pjg.132.1634138804971; 
 Wed, 13 Oct 2021 08:26:44 -0700 (PDT)
MIME-Version: 1.0
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN> <87czo96shw.fsf@HIDDEN>
 <CADwFkmmip=Mf2MgOaTPGsW95aSbXqfJcVYRqrzUY1Ywd4nE8Nw@HIDDEN>
 <87wnmh5bes.fsf@HIDDEN>
In-Reply-To: <87wnmh5bes.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Wed, 13 Oct 2021 17:26:33 +0200
Message-ID: <CADwFkmmofZJcx-9MjLr7zbuLL4sks2syB7LjVGa4FUJcEENZDQ@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> it's now `pif tools' after being changed to use easy-menu-define, I
> think?  So the downcase would work fine for everybody -- except people
> that have a Turkish locale, where the downcase would yield `p=C4=B1f tool=
s',
> and we'd have no match after all.

I didn't see that we were discussing a regular "I" character (bad font
in this client), but yes that is obviously incorrect.

Do we have an alternative to downcase, or should we just ensure that
it uses a standard case-table?  Could that lead to any other problems?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 12:58:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 08:58:49 2021
Received: from localhost ([127.0.0.1]:58973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1madqK-0000Fv-VY
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:58:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1madqI-0000Fg-MA
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:58:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=xUrgtNxKib20BL/3JndzQ6MuM8vX2kRTBKiWY9r8WmA=; b=lSSFvISiCaAGRxXnSMIx4Msf02
 SXGEal66tHQGtoTRTbEWm55GkXWVDHqR9YNwWvleKgWJwdE04SzHvrQyfsqmKp3NJFedtyN8SDooU
 0Nk40rjBsTUIqwVMfB6rKcKcWmbwT17PG5lSuPnrbo58wY7T3BrqgH1thT3xnsCFTWI4=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1madq8-0008MK-C1; Wed, 13 Oct 2021 14:58:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN> <87czo96shw.fsf@HIDDEN>
 <CADwFkmmip=Mf2MgOaTPGsW95aSbXqfJcVYRqrzUY1Ywd4nE8Nw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEX+IZ38IJ2uGGc9
 DSP///8lpndiAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UKDQw2Oe2EAPQAAAFgSURBVDjLzVRrcsYg
 CBS9wKIX8HGBCPe/W4n54qPTzvRnmUxiWGHDgnHuNJq301BrrLfhOxBjrFyYcaYhBhzBcTwBIn6s
 1rz5zTEAW4jfAPA0krZSEe9WzwhgwLZa+0F4XC/RBAbHiBihG8NOApr5waetEn4EjIH4RD8kUQs3
 4castloAqUpS7QOQBZAXB4UJwdy5lclB4TJ5iNUA4bQAF7J5CO0B+uKwCH4i4hFBvrsyOEAdLd8i
 uPerNEm7mop91S0P3hHQQiq4Aclbfc6ePK5H0CluKin7noqQr6oW8hEXKacernapS20Ab6w5JWST
 BC1c1qzZJX+JpNolZQ1St/Z5kWZ7NXQJlmobHbUSTN4oRrU13KS9rD5rheZwHTPecuhqyijOVC7C
 l0JUqvPnPP9qVulNifuE8F8C/rHhh9XzirfpExi/A+vbZ2hWAx0PKcBjM30mgek+r9gPxXh8AZTR
 Mwr6mWZUAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEwLTEzVDEyOjU0OjU3KzAwOjAw2BUuKgAA
 ACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMC0xM1QxMjo1NDo1NyswMDowMKlIlpYAAAAASUVORK5C
 YII=
X-Now-Playing: Krikor Kouchian's _Cold Wave Volume 2_: "Deserver Dub"
Date: Wed, 13 Oct 2021 14:58:35 +0200
In-Reply-To: <CADwFkmmip=Mf2MgOaTPGsW95aSbXqfJcVYRqrzUY1Ywd4nE8Nw@HIDDEN>
 (Stefan Kangas's message of "Wed, 13 Oct 2021 14:19:34 +0200")
Message-ID: <87wnmh5bes.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > Lars Ingebrigtsen
    <larsi@HIDDEN> writes: > >> An upper case I in Turkish would be translated
    to ı, which would not be >> what we wanted, I think. > > Could you explain
    why you think that? 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> An upper case I in Turkish would be translated to =C4=B1, which would no=
t be
>> what we wanted, I think.
>
> Could you explain why you think that?

If the menu name the package tried to change was

"PIF Tools"

it's now `pif tools' after being changed to use easy-menu-define, I
think?  So the downcase would work fine for everybody -- except people
that have a Turkish locale, where the downcase would yield `p=C4=B1f tools',
and we'd have no match after all.

I think.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 12:19:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 08:19:54 2021
Received: from localhost ([127.0.0.1]:58870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1madEf-0007g2-QY
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:19:53 -0400
Received: from mail-pj1-f45.google.com ([209.85.216.45]:36812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1madEd-0007fp-Ig
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:19:52 -0400
Received: by mail-pj1-f45.google.com with SMTP id
 qe4-20020a17090b4f8400b0019f663cfcd1so4298486pjb.1
 for <50752 <at> debbugs.gnu.org>; Wed, 13 Oct 2021 05:19:51 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=h2kZefrZR8Wjo4sXoO5O2wOGczMF2PwIyWAlqMkfcyY=;
 b=oE22SbWvQ0HLLLovYWPgrizxlqZUgnWpnFrPE+CLU6AOMyR7Q8/6GK0FempVrR2M3v
 uUULIKg6V42HHxN+0yT+Ak/3cK1Cc4reZ/81xP1hcpH/Z5aGMdAtkKYThV03r5NZoO17
 MPT/FAWt2ya0jCiXD5+XuDwwz/JWEEqy30HTD2sfbFZogU6kzwx/B7fuDTm7/0LAPXK5
 DauS9dzdjxQVouxS9G4BCctcY8V8+bIIWp3CrEveIMSAOdvg8YssVHJh8yJeQ7DQfOJj
 WibE8qfmmUofDfRw2FCL7dOeamTUO61NUDX4t0lebCuwLpna6CoMA+X9JUIK4vtLzXO0
 PABw==
X-Gm-Message-State: AOAM531y1qQPhWJQoG6D05UTnt4lk9e/IAwuSc23ex4adikMMtycalPK
 NSkZ6ui8RJA3rGewNlvDGaQWBndHfC1blciq+v0=
X-Google-Smtp-Source: ABdhPJy/DP1kjqqJee6XUj4979byRIn45uEHCeQHWSsx/fJDk0cLpG3BBcaN+1rwkqcmhmbejmZ3OwqySGdGDio0oOk=
X-Received: by 2002:a17:902:6b07:b0:13e:d5ba:3d8f with SMTP id
 o7-20020a1709026b0700b0013ed5ba3d8fmr35683842plk.32.1634127585843; Wed, 13
 Oct 2021 05:19:45 -0700 (PDT)
MIME-Version: 1.0
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN> <87czo96shw.fsf@HIDDEN>
In-Reply-To: <87czo96shw.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Wed, 13 Oct 2021 14:19:34 +0200
Message-ID: <CADwFkmmip=Mf2MgOaTPGsW95aSbXqfJcVYRqrzUY1Ywd4nE8Nw@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> An upper case I in Turkish would be translated to =C4=B1, which would not=
 be
> what we wanted, I think.

Could you explain why you think that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 12:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 08:04:22 2021
Received: from localhost ([127.0.0.1]:58797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1macze-0007Gp-NV
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:04:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1maczd-0007Ga-4E
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:04:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=6l1MbnV0X5jVAHGpBnv3ZQU+Gi1o8uVEk0VrEXeKFwI=; b=fDfMn4h+KvgPzgUJQB0uwGtnt0
 OZXASoP8Z7maegulslyaMPAoxODmvW12D4X54EhJ09/BMlEku/eTPxl9L7xDtpIqgFWhLQWQwI+Le
 v3B5fH4sRL2kkg/dQ73E3Z08nWGwL86+UMe+SxHOgpb+g2QntXz31pMcS++ZA50atViM=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1maczU-0007wF-EL; Wed, 13 Oct 2021 14:04:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 <837dehp248.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVmtfJ/f423y8+b
 X1lLLzj///8Z8KpJAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UKDQwBC7VU8UAAAAFtSURBVDjLrdNR
 koMgDAZg0B6AQA6g0AMI4QBlyf3PtIFWq6u7MzvT/6Ez8DUkjKrUB6ONVtYPRgNYDQPADBasQC7B
 xjgso+OCGbgiW+ZJ6RTmuICKY3NtgnFzSsEoHUFlExXAHWwBM6rs5oICnA2qOLiI1WT6CvITapHe
 kxTLQfAYp+j9MspRkKJAwckpQFhGKOQE0NkH9qmUU5mtCTWOVUkF2WWc1tsM5/vBFjP4wb8iEKiF
 mWjx78gF5/ZnJK5gnnvzD+DSwa4VQwPnmLkuPgD0g2kFcDk3kLSWmd9AvAPeVVSB3uN4lOO8VvSC
 vE6FlV49glxIBmnQTsp91eBek897kAWXBpYS7oE7gA+eEj17NOAXtFnbxCe4V6JAvo97AEcyXkwb
 uDdIEm2AB6ALuGfZrCsQbbA9pwa8pRwe7e0vKHiC9fU5vlKyNp/8BH//Nk+t18iYl/s3Bj7NphuU
 hI/rCj5X9CBe9/h3vgHNwHGMbot6eAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0xMC0xM1QxMjow
 MToxMSswMDowMKjxcuwAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMTAtMTNUMTI6MDE6MTErMDA6
 MDDZrMpQAAAAAElFTkSuQmCC
X-Now-Playing: Sylvester's _Sylvester-Step II_: "Grateful"
Date: Wed, 13 Oct 2021 14:04:11 +0200
In-Reply-To: <837dehp248.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 13 Oct
 2021 14:59:03 +0300")
Message-ID: <87czo96shw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Beware: downcase uses
    the current buffer's case-table. Is that > something we want here, or could
    it be undesirable in some cases? An upper case I in Turkish would be translated
    to ı, which would not be what we wanted, I think. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: shuguang79@HIDDEN, Stefan Kangas <stefan@HIDDEN>, 50752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Beware: downcase uses the current buffer's case-table.  Is that
> something we want here, or could it be undesirable in some cases?

An upper case I in Turkish would be translated to =C4=B1, which would not be
what we wanted, I think.=20=20

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 11:59:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 07:59:20 2021
Received: from localhost ([127.0.0.1]:58749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1macum-00075c-8B
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 07:59:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1macuj-00075O-3c
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 07:59:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55426)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1macub-0005Zh-8S; Wed, 13 Oct 2021 07:59:09 -0400
Received: from [87.69.77.57] (port=1473 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1macua-0005Dk-Ls; Wed, 13 Oct 2021 07:59:09 -0400
Date: Wed, 13 Oct 2021 14:59:03 +0300
Message-Id: <837dehp248.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 (message from Stefan Kangas on Tue, 12 Oct 2021 15:22:59 -0700)
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, larsi@HIDDEN, shuguang79@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Tue, 12 Oct 2021 15:22:59 -0700
> Cc: Shuguang Sun <shuguang79@HIDDEN>, 50752 <at> debbugs.gnu.org
> 
> +      for (int i = 0; i < key_len; i++)
> +	{
> +	  Lisp_Object lc_key = Fdowncase (Fsymbol_name (AREF (key, i)));
> +	  ASET (new_key, i, Fintern (lc_key, Qnil));
> +	}

Beware: downcase uses the current buffer's case-table.  Is that
something we want here, or could it be undesirable in some cases?

> +      found = lookup_key_1 (keymap, new_key, accept_default);
> +
> +      if (!NILP (found) && !NUMBERP (found))
> +	goto end;
> +
> +      /* If we still don't have a match, let's convert any spaces in
> +	 our lowercased string into dashes, e.g. "foo bar baz" to
> +	 "foo-bar-baz". */
> +      for (int i = 0; i < key_len; i++)
> +	{
> +	  Lisp_Object lc_key = Fdowncase (Fsymbol_name (AREF (key, i)));

Can't we reuse the results of the original downcasing, instead of
doing that again?

> +	  USE_SAFE_ALLOCA;
> +	  ptrdiff_t size = SCHARS (lc_key), n;
> +	  if (INT_MULTIPLY_WRAPV (size, MAX_MULTIBYTE_LENGTH, &n))
> +	    n = PTRDIFF_MAX;
> +	  unsigned char *dst = SAFE_ALLOCA (n);
> +	  unsigned char *o = dst;
> +	  ptrdiff_t j = 0, j_byte = 0, chars = 0;
> +
> +	  while (j < SCHARS (lc_key))
> +	    {
> +	      int ch = fetch_string_char_advance (lc_key, &j, &j_byte);
> +	      if (ch == ' ')
> +		*o = '-';
> +	      else
> +		*o = ch;
> +	      chars++;

This will only work with plain-ASCII characters in lc_key (but then
you don't need fetch_string_char_advance, you can access the bytes one
by one).  You need to use CHAR_STRING instead.

> +	      int len;
> +	      string_char_and_length (o, &len);
> +	      o += len;

This is overhead.  You already know the length of the multibyte
string, because fetch_string_char_advance reports it back to you via
j_byte.  So just use that.

> diff --git a/test/src/keymap-tests.el b/test/src/keymap-tests.el
> index 68b42c346c..8f3dff2acb 100644
> --- a/test/src/keymap-tests.el
> +++ b/test/src/keymap-tests.el
> @@ -124,6 +124,17 @@ keymap-lookup-key/too-long
>  ;; (ert-deftest keymap-lookup-key/accept-default ()
>  ;;   ...)
>  
> +(ert-deftest keymap-lookup-key/mixed-case ()
> +  (let ((map (make-keymap)))
> +    (define-key map [menu-bar foo bar] 'foo)
> +    (should (eq (lookup-key map [menu-bar foo bar]) 'foo))
> +    (should (eq (lookup-key map [menu-bar Foo Bar]) 'foo))))
> +
> +(ert-deftest subr-test-lookup-keymap/with-spaces ()
> +  (let ((map (make-keymap)))
> +    (define-key map [menu-bar foo-bar] 'foo)
> +    (should (eq (lookup-key map [menu-bar Foo\ Bar]) 'foo))))
> +
>  (ert-deftest describe-buffer-bindings/header-in-current-buffer ()
>    "Header should be inserted into the current buffer.
>  https://debbugs.gnu.org/39149#31"

Please add tests where the symbols use non-ASCII characters.

Also, what about the existing calls to Flookup_key from C: do they all
need to go through the added processing, or could some of them be
satisfied by calling lookup_key_1?

This change needs a NEWS entry.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 13 Oct 2021 11:28:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 07:28:52 2021
Received: from localhost ([127.0.0.1]:58608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1macRI-0001ty-9d
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 07:28:52 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1macRF-0001tk-TO
 for 50752 <at> debbugs.gnu.org; Wed, 13 Oct 2021 07:28:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jC2rmBjrxZV3+x35TVt1rYTdejBe2u9MSp18ox6AbkY=; b=BlqBbvrwzKARd+MybRoXbJAP56
 E9Eu6n16pQpzODE3UoD8ifd8cvEkjSVfFIzHndvC0lJ0CK8o+NK0lMHQE5mdEGMG8lQuuTvzoMhdr
 gSYDUbqNtu8+1J/nyZCuFzC3scBXhujV04aGZcL+c4kUEqjalqqm9Jh/TgDEpFMdelew=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1macR4-0007dK-7v; Wed, 13 Oct 2021 13:28:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
 <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUJCAkqKiofHx8e
 HiBISEdAPz7///+cw1o9AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UKDQsCB5KA+C0AAAGQSURBVDjL
 5VNBchwhDBRSHjDA+g5DHiBoPyAb+wOpyv/fkgbW5XXKe3BVbpma2Rm6JTUttCL/z3U8Isr6xSM6
 PabGF+TDj0/AzMf8n1mEtA/rXbnH+FvqtW65N7Mae6zTOp6j3zmsV3S2yhqxGN/x+Ep05H7Cq0v4
 +U4sCfAmAbm84dfpLTZC1tKLtfC0t/OddTClucwNXE29uSE+PZV6AlRezNIPBys8abE20BQjdfGV
 Qrb0FN0KnVUchmxG0EoIlHDC2kTTITXBLy7P5cxgLGSYFjkPRwS+sb7NqNkwhXRHFrtk2z5sNqk3
 ldFHzJGE79A5OOOkzuCIxAPhxdgzM8GpSBJSGVH6xavksRtssFFo99Qs4VV6hsP3QRnHIBzdprJr
 R18ixgDKaFGPg5/BkdZhoTKncW8YOTvT3TN0ZdxGs2gePrhGVL0bh2KagxMZ9VRanC7txsHmOwA3
 67LfmQfi41fC/ifMIF/xaaqdMZW/Js50RnpYiN8RzKVPn2XbjZC7zZVJoPmHYuvLppGMP6M+Mp5c
 oDFnAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEwLTEzVDExOjAyOjA3KzAwOjAwUXaQhQAAACV0
 RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMC0xM1QxMTowMjowNyswMDowMCArKDkAAAAASUVORK5CYII=
X-Now-Playing: Alasdair Roberts og =?utf-8?Q?V=C3=B6lvur's?= _The Old Fabled
 River_: "The Tender Hour"
Date: Wed, 13 Oct 2021 13:28:36 +0200
In-Reply-To: <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
 (Stefan Kangas's message of "Tue, 12 Oct 2021 15:22:59 -0700")
Message-ID: <878ryx88pn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Review and
 additional
 testing is very welcome. Looks good to me. I've tested it now in Emacs 28,
 and I don't see any regressions. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Review and additional testing is very welcome.

Looks good to me.  I've tested it now in Emacs 28, and I don't see any
regressions.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 12 Oct 2021 22:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 18:23:31 2021
Received: from localhost ([127.0.0.1]:55317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maQB6-0000g8-5D
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 18:23:31 -0400
Received: from mail-pl1-f174.google.com ([209.85.214.174]:44601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1maQAs-0000eo-6D
 for 50752 <at> debbugs.gnu.org; Tue, 12 Oct 2021 18:23:18 -0400
Received: by mail-pl1-f174.google.com with SMTP id t11so462845plq.11
 for <50752 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 15:23:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=Zb6JuXAYZgC3dkvJsfCn9hltH+xYksgXsqM3ILBGXkg=;
 b=dAWoI4+HDkLUSJaTkGhyecIrtNzTR8vyynkrYl4JpdTVgXrC8/QUrwNrd9uQCn+Osk
 l+SGv+r1840SHd0j/SCS6B/foIuUneOzJnR/2aPABFFHRJ/BSErdNOQVv9FCN2E+Tg5n
 ua1fF65bD9V7KWzg4wTazUaa18ALIW4xjUW3gVzSW6GKXyr1OXH/yLHMLPDdW5gP8gYP
 DtvzPR4hIu6AyfyV3Oag5IAsC84LrZK7iQgltNbvxPO3wuUEtPojReqBmdQXV3n1xahC
 MaMva45Wg54kiFHP9p6ZI5U8Vr1jq9F1N0JUWH7vug8AtZsuoqWpw7TGA4FhQeN8LYoe
 /SLQ==
X-Gm-Message-State: AOAM530uGhaKhE0x3qosO3MaM0Fj99yafTUOKr+iX2XTk+OxPZ4p8o31
 U966mdwZ5O6YBVbMB43VKSSRHsuw15PV1jfW2kI=
X-Google-Smtp-Source: ABdhPJyLBwfbEuUUpxHHYJTUtDWXenIPCpTPWHa74+8x6O/YFSLOTax8aEWwWp69oafoUBY1OBrRJvpwenPEivjfPos=
X-Received: by 2002:a17:902:b691:b029:12d:2b6:d116 with SMTP id
 c17-20020a170902b691b029012d02b6d116mr32185912pls.71.1634077380357; Tue, 12
 Oct 2021 15:23:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 12 Oct 2021 15:22:59 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87bl4jvudm.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 23 Sep 2021 23:45:25 +0200")
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
 <87bl4jvudm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 12 Oct 2021 15:22:59 -0700
Message-ID: <CADwFkmmFnixKo6xeuV0mpQ4a+nXnYEXuq-8pcr7=AFTP0rRMKw@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000cac26e05ce2f49e6"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org, Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000cac26e05ce2f49e6
Content-Type: text/plain; charset="UTF-8"

tags 50752 + patch
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Yes, the names have changed in Emacs 28, so external packages that alter
> the menus like this have to be adjusted.  But I wonder whether we could
> make `lookup-key' be case-insensitive in this case...

As Glenn points out, we discussed this here:
https://lists.gnu.org/r/emacs-devel/2021-03/msg00031.html

We also discussed it here:
https://lists.gnu.org/r/emacs-devel/2021-03/msg00014.html

I had an incomplete patch in the works, but I dropped the ball here.

Please find attached an updated and complete patch that should fix the
above issue.  In addition to the new tests, I have tested it locally,
and without the patch, I can reproduce the issue reported here by
Shuguang, i.e. I get this error:

    popup-menu: Empty menu

With the patch, the menu is correctly displayed, as is expected.  This
is tested with pdf-tools-20211004.514 installed from MELPA, which should
be equivalent to the latest version in the git repository at:

    http://github.com/vedang/pdf-tools

Review and additional testing is very welcome.

--000000000000cac26e05ce2f49e6
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Be-more-allowing-when-looking-for-menu-bar-items.patch"
Content-Disposition: attachment; 
	filename="0001-Be-more-allowing-when-looking-for-menu-bar-items.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f4b7c012265e2f8c_0.1

RnJvbSAwZWU1NmI5MTUwNmI0NDUxNjFiZjJlODM5ZjRjYWE1ZWQ3ODk3MmJmIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBTdGVmYW4gS2FuZ2FzIDxzdGVmYW5AbWFyeGlzdC5zZT4KRGF0
ZTogV2VkLCAxMyBPY3QgMjAyMSAwMDowNDoyMyArMDIwMApTdWJqZWN0OiBbUEFUQ0hdIEJlIG1v
cmUgYWxsb3dpbmcgd2hlbiBsb29raW5nIGZvciBtZW51LWJhciBpdGVtcwoKKiBzcmMva2V5bWFw
LmMgKGxvb2t1cF9rZXlfMSk6IEZhY3RvciBvdXQgZnVuY3Rpb24gZnJvbQpGbG9va3VwX2tleS4K
KEZsb29rdXBfa2V5KTogQmUgY2FzZSBpbnNlbnNpdGl2ZSwgYW5kIHRyZWF0IHNwYWNlcyBhcyBk
YXNoZXMsCndoZW4gbG9va2luZyBmb3IgUW1lbnVfYmFyIGl0ZW1zLiAgKEJ1ZyM1MDc1MikKKiB0
ZXN0L3NyYy9rZXltYXAtdGVzdHMuZWwgKGtleW1hcC1sb29rdXAta2V5L21peGVkLWNhc2UpCihz
dWJyLXRlc3QtbG9va3VwLWtleW1hcC93aXRoLXNwYWNlcyk6IE5ldyB0ZXN0cy4KLS0tCiBzcmMv
a2V5bWFwLmMgICAgICAgICAgICAgfCAxMTAgKysrKysrKysrKysrKysrKysrKysrKysrKysrKysr
Ky0tLS0tLS0tCiB0ZXN0L3NyYy9rZXltYXAtdGVzdHMuZWwgfCAgMTEgKysrKwogMiBmaWxlcyBj
aGFuZ2VkLCAxMDAgaW5zZXJ0aW9ucygrKSwgMjEgZGVsZXRpb25zKC0pCgpkaWZmIC0tZ2l0IGEv
c3JjL2tleW1hcC5jIGIvc3JjL2tleW1hcC5jCmluZGV4IGJlNDVkMmJlMWUuLjJmYjVkOGY0MWUg
MTAwNjQ0Ci0tLSBhL3NyYy9rZXltYXAuYworKysgYi9zcmMva2V5bWFwLmMKQEAgLTExODAsMjcg
KzExODAsOCBAQCBERUZVTiAoImNvbW1hbmQtcmVtYXBwaW5nIiwgRmNvbW1hbmRfcmVtYXBwaW5n
LCBTY29tbWFuZF9yZW1hcHBpbmcsIDEsIDMsIDAsCiAgIHJldHVybiBGSVhOVU1QIChjb21tYW5k
KSA/IFFuaWwgOiBjb21tYW5kOwogfQogCi0vKiBWYWx1ZSBpcyBudW1iZXIgaWYgS0VZIGlzIHRv
byBsb25nOyBuaWwgaWYgdmFsaWQgYnV0IGhhcyBubyBkZWZpbml0aW9uLiAgKi8KLS8qIEdDIGlz
IHBvc3NpYmxlIGluIHRoaXMgZnVuY3Rpb24uICAqLwotCi1ERUZVTiAoImxvb2t1cC1rZXkiLCBG
bG9va3VwX2tleSwgU2xvb2t1cF9rZXksIDIsIDMsIDAsCi0gICAgICAgZG9jOiAvKiBMb29rIHVw
IGtleSBzZXF1ZW5jZSBLRVkgaW4gS0VZTUFQLiAgUmV0dXJuIHRoZSBkZWZpbml0aW9uLgotQSB2
YWx1ZSBvZiBuaWwgbWVhbnMgdW5kZWZpbmVkLiAgU2VlIGRvYyBvZiBgZGVmaW5lLWtleScKLWZv
ciBraW5kcyBvZiBkZWZpbml0aW9ucy4KLQotQSBudW1iZXIgYXMgdmFsdWUgbWVhbnMgS0VZIGlz
ICJ0b28gbG9uZyI7Ci10aGF0IGlzLCBjaGFyYWN0ZXJzIG9yIHN5bWJvbHMgaW4gaXQgZXhjZXB0
IGZvciB0aGUgbGFzdCBvbmUKLWZhaWwgdG8gYmUgYSB2YWxpZCBzZXF1ZW5jZSBvZiBwcmVmaXgg
Y2hhcmFjdGVycyBpbiBLRVlNQVAuCi1UaGUgbnVtYmVyIGlzIGhvdyBtYW55IGNoYXJhY3RlcnMg
YXQgdGhlIGZyb250IG9mIEtFWQotaXQgdGFrZXMgdG8gcmVhY2ggYSBub24tcHJlZml4IGtleS4K
LUtFWU1BUCBjYW4gYWxzbyBiZSBhIGxpc3Qgb2Yga2V5bWFwcy4KLQotTm9ybWFsbHksIGBsb29r
dXAta2V5JyBpZ25vcmVzIGJpbmRpbmdzIGZvciB0LCB3aGljaCBhY3QgYXMgZGVmYXVsdAotYmlu
ZGluZ3MsIHVzZWQgd2hlbiBub3RoaW5nIGVsc2UgaW4gdGhlIGtleW1hcCBhcHBsaWVzOyB0aGlz
IG1ha2VzIGl0Ci11c2FibGUgYXMgYSBnZW5lcmFsIGZ1bmN0aW9uIGZvciBwcm9iaW5nIGtleW1h
cHMuICBIb3dldmVyLCBpZiB0aGUKLXRoaXJkIG9wdGlvbmFsIGFyZ3VtZW50IEFDQ0VQVC1ERUZB
VUxUIGlzIG5vbi1uaWwsIGBsb29rdXAta2V5JyB3aWxsCi1yZWNvZ25pemUgdGhlIGRlZmF1bHQg
YmluZGluZ3MsIGp1c3QgYXMgYHJlYWQta2V5LXNlcXVlbmNlJyBkb2VzLiAgKi8pCi0gIChMaXNw
X09iamVjdCBrZXltYXAsIExpc3BfT2JqZWN0IGtleSwgTGlzcF9PYmplY3QgYWNjZXB0X2RlZmF1
bHQpCitzdGF0aWMgTGlzcF9PYmplY3QKK2xvb2t1cF9rZXlfMSAoTGlzcF9PYmplY3Qga2V5bWFw
LCBMaXNwX09iamVjdCBrZXksIExpc3BfT2JqZWN0IGFjY2VwdF9kZWZhdWx0KQogewogICBib29s
IHRfb2sgPSAhTklMUCAoYWNjZXB0X2RlZmF1bHQpOwogCkBAIC0xMjQwLDYgKzEyMjEsOTMgQEAg
REVGVU4gKCJsb29rdXAta2V5IiwgRmxvb2t1cF9rZXksIFNsb29rdXBfa2V5LCAyLCAzLCAwLAog
ICAgIH0KIH0KIAorLyogVmFsdWUgaXMgbnVtYmVyIGlmIEtFWSBpcyB0b28gbG9uZzsgbmlsIGlm
IHZhbGlkIGJ1dCBoYXMgbm8gZGVmaW5pdGlvbi4gICovCisvKiBHQyBpcyBwb3NzaWJsZSBpbiB0
aGlzIGZ1bmN0aW9uLiAgKi8KKworREVGVU4gKCJsb29rdXAta2V5IiwgRmxvb2t1cF9rZXksIFNs
b29rdXBfa2V5LCAyLCAzLCAwLAorICAgICAgIGRvYzogLyogTG9vayB1cCBrZXkgc2VxdWVuY2Ug
S0VZIGluIEtFWU1BUC4gIFJldHVybiB0aGUgZGVmaW5pdGlvbi4KK0EgdmFsdWUgb2YgbmlsIG1l
YW5zIHVuZGVmaW5lZC4gIFNlZSBkb2Mgb2YgYGRlZmluZS1rZXknCitmb3Iga2luZHMgb2YgZGVm
aW5pdGlvbnMuCisKK0EgbnVtYmVyIGFzIHZhbHVlIG1lYW5zIEtFWSBpcyAidG9vIGxvbmciOwor
dGhhdCBpcywgY2hhcmFjdGVycyBvciBzeW1ib2xzIGluIGl0IGV4Y2VwdCBmb3IgdGhlIGxhc3Qg
b25lCitmYWlsIHRvIGJlIGEgdmFsaWQgc2VxdWVuY2Ugb2YgcHJlZml4IGNoYXJhY3RlcnMgaW4g
S0VZTUFQLgorVGhlIG51bWJlciBpcyBob3cgbWFueSBjaGFyYWN0ZXJzIGF0IHRoZSBmcm9udCBv
ZiBLRVkKK2l0IHRha2VzIHRvIHJlYWNoIGEgbm9uLXByZWZpeCBrZXkuCitLRVlNQVAgY2FuIGFs
c28gYmUgYSBsaXN0IG9mIGtleW1hcHMuCisKK05vcm1hbGx5LCBgbG9va3VwLWtleScgaWdub3Jl
cyBiaW5kaW5ncyBmb3IgdCwgd2hpY2ggYWN0IGFzIGRlZmF1bHQKK2JpbmRpbmdzLCB1c2VkIHdo
ZW4gbm90aGluZyBlbHNlIGluIHRoZSBrZXltYXAgYXBwbGllczsgdGhpcyBtYWtlcyBpdAordXNh
YmxlIGFzIGEgZ2VuZXJhbCBmdW5jdGlvbiBmb3IgcHJvYmluZyBrZXltYXBzLiAgSG93ZXZlciwg
aWYgdGhlCit0aGlyZCBvcHRpb25hbCBhcmd1bWVudCBBQ0NFUFQtREVGQVVMVCBpcyBub24tbmls
LCBgbG9va3VwLWtleScgd2lsbAorcmVjb2duaXplIHRoZSBkZWZhdWx0IGJpbmRpbmdzLCBqdXN0
IGFzIGByZWFkLWtleS1zZXF1ZW5jZScgZG9lcy4gICovKQorICAoTGlzcF9PYmplY3Qga2V5bWFw
LCBMaXNwX09iamVjdCBrZXksIExpc3BfT2JqZWN0IGFjY2VwdF9kZWZhdWx0KQoreworICBMaXNw
X09iamVjdCBmb3VuZCA9IGxvb2t1cF9rZXlfMSAoa2V5bWFwLCBrZXksIGFjY2VwdF9kZWZhdWx0
KTsKKworICBpZiAoIU5JTFAgKGZvdW5kKSAmJiAhTlVNQkVSUCAoZm91bmQpKQorICAgIGdvdG8g
ZW5kOworCisgIC8qIE1lbnUgZGVmaW5pdGlvbnMgbWlnaHQgdXNlIG1peGVkIGNhc2Ugc3ltYm9s
cyAobm90YWJseSBpbiBvbGQKKyAgICAgdmVyc2lvbnMgb2YgYGVhc3ktbWVudS1kZWZpbmUnKSwg
b3IgdXNlICIgIiBpbnN0ZWFkIG9mICItIi4gICovCisgIGlmIChWRUNUT1JQIChrZXkpICYmIEVR
IChBUkVGIChrZXksIDApLCBRbWVudV9iYXIpKQorICAgIHsKKyAgICAgIHB0cmRpZmZfdCBrZXlf
bGVuID0gQVNJWkUgKGtleSk7CisgICAgICBMaXNwX09iamVjdCBuZXdfa2V5ID0gbWFrZV92ZWN0
b3IgKGtleV9sZW4sIFFuaWwpOworCisgICAgICAvKiBGaXJzdCwgbGV0J3MgdHJ5IGNvbnZlcnRp
bmcgYWxsIHN5bWJvbHMgbGlrZSAiRm9vLUJhci1CYXoiIHRvCisJICJmb28tYmFyLWJheiIuICAq
LworICAgICAgZm9yIChpbnQgaSA9IDA7IGkgPCBrZXlfbGVuOyBpKyspCisJeworCSAgTGlzcF9P
YmplY3QgbGNfa2V5ID0gRmRvd25jYXNlIChGc3ltYm9sX25hbWUgKEFSRUYgKGtleSwgaSkpKTsK
KwkgIEFTRVQgKG5ld19rZXksIGksIEZpbnRlcm4gKGxjX2tleSwgUW5pbCkpOworCX0KKyAgICAg
IGZvdW5kID0gbG9va3VwX2tleV8xIChrZXltYXAsIG5ld19rZXksIGFjY2VwdF9kZWZhdWx0KTsK
KworICAgICAgaWYgKCFOSUxQIChmb3VuZCkgJiYgIU5VTUJFUlAgKGZvdW5kKSkKKwlnb3RvIGVu
ZDsKKworICAgICAgLyogSWYgd2Ugc3RpbGwgZG9uJ3QgaGF2ZSBhIG1hdGNoLCBsZXQncyBjb252
ZXJ0IGFueSBzcGFjZXMgaW4KKwkgb3VyIGxvd2VyY2FzZWQgc3RyaW5nIGludG8gZGFzaGVzLCBl
LmcuICJmb28gYmFyIGJheiIgdG8KKwkgImZvby1iYXItYmF6Ii4gKi8KKyAgICAgIGZvciAoaW50
IGkgPSAwOyBpIDwga2V5X2xlbjsgaSsrKQorCXsKKwkgIExpc3BfT2JqZWN0IGxjX2tleSA9IEZk
b3duY2FzZSAoRnN5bWJvbF9uYW1lIChBUkVGIChrZXksIGkpKSk7CisKKwkgIFVTRV9TQUZFX0FM
TE9DQTsKKwkgIHB0cmRpZmZfdCBzaXplID0gU0NIQVJTIChsY19rZXkpLCBuOworCSAgaWYgKElO
VF9NVUxUSVBMWV9XUkFQViAoc2l6ZSwgTUFYX01VTFRJQllURV9MRU5HVEgsICZuKSkKKwkgICAg
biA9IFBUUkRJRkZfTUFYOworCSAgdW5zaWduZWQgY2hhciAqZHN0ID0gU0FGRV9BTExPQ0EgKG4p
OworCSAgdW5zaWduZWQgY2hhciAqbyA9IGRzdDsKKwkgIHB0cmRpZmZfdCBqID0gMCwgal9ieXRl
ID0gMCwgY2hhcnMgPSAwOworCisJICB3aGlsZSAoaiA8IFNDSEFSUyAobGNfa2V5KSkKKwkgICAg
eworCSAgICAgIGludCBjaCA9IGZldGNoX3N0cmluZ19jaGFyX2FkdmFuY2UgKGxjX2tleSwgJmos
ICZqX2J5dGUpOworCSAgICAgIGlmIChjaCA9PSAnICcpCisJCSpvID0gJy0nOworCSAgICAgIGVs
c2UKKwkJKm8gPSBjaDsKKwkgICAgICBjaGFycysrOworCisJICAgICAgaW50IGxlbjsKKwkgICAg
ICBzdHJpbmdfY2hhcl9hbmRfbGVuZ3RoIChvLCAmbGVuKTsKKwkgICAgICBvICs9IGxlbjsKKwkg
ICAgfQorCSAgZWFzc2VydCAobyA8PSBkc3QgKyBuKTsKKwkgIExpc3BfT2JqZWN0CisJICAgIG5l
d19pdCA9IG1ha2VfbXVsdGlieXRlX3N0cmluZyAoKGNoYXIgKikgZHN0LCBjaGFycywgbyAtIGRz
dCk7CisJICBBU0VUIChuZXdfa2V5LCBpLCBGaW50ZXJuIChuZXdfaXQsIFFuaWwpKTsKKwkgIFNB
RkVfRlJFRSAoKTsKKwl9CisgICAgICBmb3VuZCA9IGxvb2t1cF9rZXlfMSAoa2V5bWFwLCBuZXdf
a2V5LCBhY2NlcHRfZGVmYXVsdCk7CisgICAgfQorCisgZW5kOgorICByZXR1cm4gZm91bmQ7Cit9
CisKIC8qIE1ha2UgS0VZTUFQIGRlZmluZSBldmVudCBDIGFzIGEga2V5bWFwIChpLmUuLCBhcyBh
IHByZWZpeCkuCiAgICBBc3N1bWUgdGhhdCBjdXJyZW50bHkgaXQgZG9lcyBub3QgZGVmaW5lIEMg
YXQgYWxsLgogICAgUmV0dXJuIHRoZSBrZXltYXAuICAqLwpkaWZmIC0tZ2l0IGEvdGVzdC9zcmMv
a2V5bWFwLXRlc3RzLmVsIGIvdGVzdC9zcmMva2V5bWFwLXRlc3RzLmVsCmluZGV4IDY4YjQyYzM0
NmMuLjhmM2RmZjJhY2IgMTAwNjQ0Ci0tLSBhL3Rlc3Qvc3JjL2tleW1hcC10ZXN0cy5lbAorKysg
Yi90ZXN0L3NyYy9rZXltYXAtdGVzdHMuZWwKQEAgLTEyNCw2ICsxMjQsMTcgQEAga2V5bWFwLWxv
b2t1cC1rZXkvdG9vLWxvbmcKIDs7IChlcnQtZGVmdGVzdCBrZXltYXAtbG9va3VwLWtleS9hY2Nl
cHQtZGVmYXVsdCAoKQogOzsgICAuLi4pCiAKKyhlcnQtZGVmdGVzdCBrZXltYXAtbG9va3VwLWtl
eS9taXhlZC1jYXNlICgpCisgIChsZXQgKChtYXAgKG1ha2Uta2V5bWFwKSkpCisgICAgKGRlZmlu
ZS1rZXkgbWFwIFttZW51LWJhciBmb28gYmFyXSAnZm9vKQorICAgIChzaG91bGQgKGVxIChsb29r
dXAta2V5IG1hcCBbbWVudS1iYXIgZm9vIGJhcl0pICdmb28pKQorICAgIChzaG91bGQgKGVxIChs
b29rdXAta2V5IG1hcCBbbWVudS1iYXIgRm9vIEJhcl0pICdmb28pKSkpCisKKyhlcnQtZGVmdGVz
dCBzdWJyLXRlc3QtbG9va3VwLWtleW1hcC93aXRoLXNwYWNlcyAoKQorICAobGV0ICgobWFwICht
YWtlLWtleW1hcCkpKQorICAgIChkZWZpbmUta2V5IG1hcCBbbWVudS1iYXIgZm9vLWJhcl0gJ2Zv
bykKKyAgICAoc2hvdWxkIChlcSAobG9va3VwLWtleSBtYXAgW21lbnUtYmFyIEZvb1wgQmFyXSkg
J2ZvbykpKSkKKwogKGVydC1kZWZ0ZXN0IGRlc2NyaWJlLWJ1ZmZlci1iaW5kaW5ncy9oZWFkZXIt
aW4tY3VycmVudC1idWZmZXIgKCkKICAgIkhlYWRlciBzaG91bGQgYmUgaW5zZXJ0ZWQgaW50byB0
aGUgY3VycmVudCBidWZmZXIuCiBodHRwczovL2RlYmJ1Z3MuZ251Lm9yZy8zOTE0OSMzMSIKLS0g
CjIuMzAuMgoK
--000000000000cac26e05ce2f49e6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 23 Sep 2021 22:28:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 23 18:28:08 2021
Received: from localhost ([127.0.0.1]:56184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTXCK-0004PZ-4Q
	for submit <at> debbugs.gnu.org; Thu, 23 Sep 2021 18:28:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1mTXCJ-0004PA-Bw
 for 50752 <at> debbugs.gnu.org; Thu, 23 Sep 2021 18:28:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33748)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1mTXCD-0001nU-Sh; Thu, 23 Sep 2021 18:28:01 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1mTXCC-0004MI-CS; Thu, 23 Sep 2021 18:28:00 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 50752 <at> debbugs.gnu.org
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
X-Attribution: GM
Date: Thu, 23 Sep 2021 18:28:00 -0400
In-Reply-To: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN> (Shuguang
 Sun's message of "Thu, 23 Sep 2021 16:39:00 +0800")
Message-ID: <d5k0j7udu7.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: Shuguang Sun <shuguang79@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Previous discussion: https://lists.gnu.org/r/emacs-devel/2021-03/msg00031.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 23 Sep 2021 21:45:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 23 17:45:38 2021
Received: from localhost ([127.0.0.1]:56119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTWXC-0007vP-Dt
	for submit <at> debbugs.gnu.org; Thu, 23 Sep 2021 17:45:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mTWXA-0007pL-UX
 for 50752 <at> debbugs.gnu.org; Thu, 23 Sep 2021 17:45:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=QN/P5jwpIR5SLJ3xZCicpSFE5tltnwE85HaFx1L7Y5Q=; b=HwZRjUo9okLDInTTFgjTLBKj8X
 ixyJqUCZGSzIwJsQd4kKx1v4gu/7zvVAWy0BkZxP+85sTG1r8ou/Dn6tHftZT5BHiOnm0axW3Oo69
 UUY8swiV8AQXbcvoCQvrdZS5S+uesDIKnV9V19do4GwY4QXjUVq+/yUipXJF/iTra/tk=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mTWX0-0007MB-05; Thu, 23 Sep 2021 23:45:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Shuguang Sun" <shuguang79@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
X-Now-Playing: Magnus Granberg & Skogen's _Let Pass My Weary Guiltless
 Ghost_: "Extract from 'Let Pass...' FOR STREAMING"
Date: Thu, 23 Sep 2021 23:45:25 +0200
In-Reply-To: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN> (Shuguang
 Sun's message of "Thu, 23 Sep 2021 16:39:00 +0800")
Message-ID: <87bl4jvudm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Shuguang Sun" <shuguang79@HIDDEN> writes: > If I change the
 case, the function works again: > ```(defun pdf-misc-popup-context-menu (event)
 > "Popup a context menu at position determined by EVENT." > (interactive
 "@e") > (popup-menu > (cons ' [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Shuguang Sun" <shuguang79@HIDDEN> writes:

> If I change the case, the function works again:
> ```(defun pdf-misc-popup-context-menu (event)
>   "Popup a context menu at position determined by EVENT."
>   (interactive "@e")
>   (popup-menu
>    (cons 'keymap
>          (cddr (lookup-key pdf-misc-menu-bar-minor-mode-map
>                            [menu-bar pdf\ tools])))))

Yes, the names have changed in Emacs 28, so external packages that alter
the menus like this have to be adjusted.  But I wonder whether we could
make `lookup-key' be case-insensitive in this case...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at 50752 <at> debbugs.gnu.org:


Received: (at 50752) by debbugs.gnu.org; 23 Sep 2021 17:15:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 23 13:15:38 2021
Received: from localhost ([127.0.0.1]:55765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTSJu-0007y6-P0
	for submit <at> debbugs.gnu.org; Thu, 23 Sep 2021 13:15:38 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:39463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mTSJt-0007xr-Ht
 for 50752 <at> debbugs.gnu.org; Thu, 23 Sep 2021 13:15:38 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id 5C1B5FF805;
 Thu, 23 Sep 2021 17:15:29 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: "Shuguang Sun" <shuguang79@HIDDEN>
Subject: Re: bug#50752: 28.0.50; easy-menu-define lowers the menu-bar key
Organization: LINKOV.NET
References: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
Date: Thu, 23 Sep 2021 20:15:11 +0300
In-Reply-To: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN> (Shuguang
 Sun's message of "Thu, 23 Sep 2021 16:39:00 +0800")
Message-ID: <87bl4j2oyo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50752
Cc: 50752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> However, it can't find the key of "PDF\ Tools". Instead, I find in the
> `pdf-misc-menu-bar-minor-mode-map`, that,
>
> It becomes lower case (`pdf\ tools`).

It seems this problem is caused by the recent commit
e5392d38ac27c4cf1674997ab38a453877e65109.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2021 08:46:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 23 04:46:47 2021
Received: from localhost ([127.0.0.1]:52687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTKNT-0002sz-07
	for submit <at> debbugs.gnu.org; Thu, 23 Sep 2021 04:46:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:38038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shuguang79@HIDDEN>) id 1mTKNQ-0002sp-Ir
 for submit <at> debbugs.gnu.org; Thu, 23 Sep 2021 04:46:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38252)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mTKNM-0000fT-Ak
 for bug-gnu-emacs@HIDDEN; Thu, 23 Sep 2021 04:46:42 -0400
Received: from out203-205-221-155.mail.qq.com ([203.205.221.155]:42272)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mTKNC-0000qS-57
 for bug-gnu-emacs@HIDDEN; Thu, 23 Sep 2021 04:46:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1632386780; bh=oQtjZJ+1lauLJzwr5PhOg+8iuJck0FZxFf2qpf2M7aE=;
 h=From:To:Subject:Date;
 b=V2LYNu4g5MjCJ3Lg6Xkx1/O3G/v97NuqSmXH38NQ9389bXfGGIyU/W184jkYILbEV
 kHb+x8mv2DHolLpn+eZOehx+y3q7XhsnqUA6CoKeZyH60lpWDbw0dbKgU205ey9nbM
 aSRDbztAh7MJ+LdEtFSQiVI8x0pFkdSjq6UOnLNg=
X-QQ-FEAT: oHWrrGTW1dBr498/DCRbsggS5C9bFJb1
X-QQ-SSF: 00000000000000F000000000000000G
X-QQ-XMAILINFO: OZgMiVM6F2Pf3ruReNjWSPjimkrYh3LYbLq0axBYLPGIKJS81MzJRs+HQyrtUa
 O3qx/V7T4Ykve4m3anCV6L/tdsUGMy45MsdAN/Ss3F+D60kjSYWp1HLw4KvwTHS1Qf3LoZCEb9BGD
 sF+NUVLPjK2wM9nCeNl32gl5arP1rmU6mXTnLNErfTJP5+GV2dLXEjfq/y/q+0zJCHpAZ/yPL9smj
 TQf8mWIy0q+JIoorSI1fpH14e2x2tKhyFUjtkjUQ76++mTN06eefWxf/Px5Ce9eW11MlxocXO+s44
 7YDrtcouOKXBGaxGGbAzyHi2PTeJx7l54rEE3GYAs9YW+lb+dYXI/y+nFxfGxmhrzbyCkFG/sIvSE
 D3Q8BLx3Blp+9oQGG2zamBmfzVpp41YgP37rDsb372Qv6b0rNKtlf1UDWwc92Wt6vIjEx0OIyavc5
 2quq2qUBF+oDS75T3O/oFIBzVGw3vR0Q8BWxx0SrmF7vTprCpQlMtVoIVBgY65VMKspeY0QhrDhKw
 VNilvaXKMzZzqqv24/caf5lTLb3dvvr0HGH6UkaFlUPvZk9sydMGqMV2kNT27ky6j95gGMBwF428U
 8NBLrDTitKOqpKUBmARa1p5hh6tfuPCykIb3Sm6MCil9LR+wMJ5vbGez6K/wIXIN3b3MilyigPHIe
 IqAtT0fCZRVmq4VDjtCFLD32hZFdJNUuVYNy0vrqVfYo5cdw6il62Q2Zqxzl9DLaKjdGTaa6Rr2Xt
 5dEpQM4lxBq7NRCxjANVVfgAarlAP+v+QnDjKDyV/4f0yi2yRrr7luHfEsxRZxuIkEUGt3ULOPZ5S
 gr0KZ3QjpwNqH3+dlITyMVA=
X-HAS-ATTACH: no
X-QQ-BUSINESS-ORIGIN: 2
X-Originating-IP: 180.164.119.155
X-QQ-STYLE: 
X-QQ-mid: webmail225t1632386340t3217498
From: "=?ISO-8859-1?B?U2h1Z3VhbmcgU3Vu?=" <shuguang79@HIDDEN>
To: "=?ISO-8859-1?B?YnVnLWdudS1lbWFjcw==?=" <bug-gnu-emacs@HIDDEN>
Subject: 28.0.50; easy-menu-define lowers the menu-bar key
Mime-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----=_NextPart_614C3D24_1154B7B8_4586736F"
Content-Transfer-Encoding: 8Bit
Date: Thu, 23 Sep 2021 16:39:00 +0800
X-Priority: 3
Message-ID: <tencent_0DCE63D6DF3801B30481034CDBE87AF95909@HIDDEN>
X-QQ-MIME: TCMime 1.0 by Tencent
X-Mailer: QQMail 2.x
X-QQ-Mailer: QQMail 2.x
Received-SPF: pass client-ip=203.205.221.155; envelope-from=shuguang79@HIDDEN;
 helo=out203-205-221-155.mail.qq.com
X-Spam_score_int: 11
X-Spam_score: 1.1
X-Spam_bar: +
X-Spam_report: (1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_ENVFROM_END_DIGIT=0.25,
 FREEMAIL_FROM=0.001, FROM_EXCESS_BASE64=0.001, HELO_DYNAMIC_IPADDR=1.951,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001,
 RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

This is a multi-part message in MIME format.

------=_NextPart_614C3D24_1154B7B8_4586736F
Content-Type: text/plain;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64
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------=_NextPart_614C3D24_1154B7B8_4586736F
Content-Type: text/html;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64

PG1ldGEgaHR0cC1lcXVpdj0iQ29udGVudC1UeXBlIiBjb250ZW50PSJ0ZXh0L2h0bWw7IGNo
YXJzZXQ9R0IxODAzMCI+PGRpdj5IaSw8L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PkknbSB1
c2luZyB0aGUgcGFja2FnZSBwZGYtdG9vbHMgdG8gdmlldyBQREYgZmlsZXMuIEhvd2V2ZXIg
dGhlIHBvcHUtbWVudSBkb2VzJ3Qgd29yayBpbiByZWNlbnQgZW1hY3Mgc25hcHNob3QuIEkg
ZmluZCBpdCBpcyBkdWUgdGhlIGF1dG9tYXRpY2x5IGxvd2VyaW5nIHRoZSBtZW51LWJhciBi
eSBlYXN5LW1lbnUtZGVpbmUuIElzIGl0IGEgZmVhdHVyZSBvciBidWc/PC9kaXY+PGRpdj48
YnI+PC9kaXY+PGRpdj5PZiBwZGYtdG9vbHMgKGZyb20gbWVscGEgb3IgZnJvbSBodHRwOi8v
Z2l0aHViLmNvbS92ZWRhbmcvcGRmLXRvb2xzLyksIGluIHRoZSBwZGYtbWlzYy5lbCBpdCBk
ZWZpbmVzPC9kaXY+PGRpdj5gYGA8L2Rpdj48ZGl2PihlYXN5LW1lbnUtZGVmaW5lIG5pbCBw
ZGYtbWlzYy1tZW51LWJhci1taW5vci1tb2RlLW1hcDxicj4mbmJzcDsgIk1lbnUgZm9yIFBE
RiBUb29scy4iPGJyPiZuYnNwOyBgKCJQREYgVG9vbHMiPGJyPiZuYnNwOyZuYnNwOyZuYnNw
OyBbIkdvIEJhY2t3YXJkIiBwZGYtaGlzdG9yeS1iYWNrd2FyZDxicj4mbmJzcDsmbmJzcDsm
bmJzcDsmbmJzcDsgOnZpc2libGUgKGJvdW5kLWFuZC10cnVlLXAgcGRmLWhpc3RvcnktbWlu
b3ItbW9kZSk8YnI+Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7IDphY3RpdmUgKGFuZCAoYm91
bmQtYW5kLXRydWUtcCBwZGYtaGlzdG9yeS1taW5vci1tb2RlKTxicj4mbmJzcDsmbmJzcDsm
bmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsm
bmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsgKG5vdCAocGRmLWhpc3Rvcnkt
ZW5kLW9mLWhpc3RvcnktcCkpKV08YnI+YGBgPC9kaXY+PGRpdj5BbmQgdGhlIHJlc3BvbmRp
bmcgZnVuY3Rpb248L2Rpdj48ZGl2PmBgYDwvZGl2PjxkaXY+KGRlZnVuIHBkZi1taXNjLXBv
cHVwLWNvbnRleHQtbWVudSAoZXZlbnQpPGJyPiZuYnNwOyAiUG9wdXAgYSBjb250ZXh0IG1l
bnUgYXQgcG9zaXRpb24gZGV0ZXJtaW5lZCBieSBFVkVOVC4iPGJyPiZuYnNwOyAoaW50ZXJh
Y3RpdmUgIkBlIik8YnI+Jm5ic3A7IChwb3B1cC1tZW51PGJyPiZuYnNwOyZuYnNwOyAoY29u
cyAna2V5bWFwPGJyPiZuYnNwOyZuYnNwOyZuYnNwOyZuYnNwOyZuYnNwOyZuYnNwOyZuYnNw
OyZuYnNwOyAoY2RkciAobG9va3VwLWtleSBwZGYtbWlzYy1tZW51LWJhci1taW5vci1tb2Rl
LW1hcDxicj4mbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJz
cDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJz
cDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJz
cDsgW21lbnUtYmFyIFBERlwgVG9vbHNdKSkpKSk8YnI+YGBgPGJyPjwvZGl2PjxkaXY+SG93
ZXZlciwgaXQgY2FuJ3QgZmluZCB0aGUga2V5IG9mICJQREZcIFRvb2xzIi4gSW5zdGVhZCwg
SSBmaW5kIGluIHRoZSBgcGRmLW1pc2MtbWVudS1iYXItbWlub3ItbW9kZS1tYXBgLCB0aGF0
LDwvZGl2PjxkaXY+YGBgPC9kaXY+PGRpdj4oa2V5bWFwPGJyPiZuYnNwOyhtZW51LWJhciBr
ZXltYXA8YnI+Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5i
c3A7Jm5ic3A7Jm5ic3A7IChwZGZcIHRvb2xzIG1lbnUtaXRlbSAjMT0iUERGIFRvb2xzIjxi
cj4mbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJz
cDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJz
cDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsgKGtleW1hcCAjMSM8YnI+Jm5ic3A7Jm5ic3A7
Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7
Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7
Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7Jm5ic3A7
Jm5ic3A7IChHb1wgQmFja3dhcmQgbWVudS1pdGVtICJHbyBCYWNrd2FyZCIgcGRmLWhpc3Rv
cnktYmFja3dhcmQgOmVuYWJsZTxicj5gYGA8YnI+PC9kaXY+PGRpdj5JdCBiZWNvbWVzIGxv
d2VyIGNhc2UgKGBwZGZcIHRvb2xzYCkuPC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5JZiBJ
IGNoYW5nZSB0aGUgY2FzZSwgdGhlIGZ1bmN0aW9uIHdvcmtzIGFnYWluOjwvZGl2PjxkaXY+
YGBgKGRlZnVuIHBkZi1taXNjLXBvcHVwLWNvbnRleHQtbWVudSAoZXZlbnQpPGJyPiZuYnNw
OyAiUG9wdXAgYSBjb250ZXh0IG1lbnUgYXQgcG9zaXRpb24gZGV0ZXJtaW5lZCBieSBFVkVO
VC4iPGJyPiZuYnNwOyAoaW50ZXJhY3RpdmUgIkBlIik8YnI+Jm5ic3A7IChwb3B1cC1tZW51
PGJyPiZuYnNwOyZuYnNwOyAoY29ucyAna2V5bWFwPGJyPiZuYnNwOyZuYnNwOyZuYnNwOyZu
YnNwOyZuYnNwOyZuYnNwOyZuYnNwOyZuYnNwOyAoY2RkciAobG9va3VwLWtleSBwZGYtbWlz
Yy1tZW51LWJhci1taW5vci1tb2RlLW1hcDxicj4mbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsm
bmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsm
bmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsm
bmJzcDsmbmJzcDsmbmJzcDsmbmJzcDsgW21lbnUtYmFyIHBkZlwgdG9vbHNdKSkpKSk8YnI+
YGBgPC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5CZXN0IFJlZ2FyZHMsPC9kaXY+PGRpdj5T
aHVndWFuZyBTdW48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRp
dj5JbiBHTlUgRW1hY3MgMjguMC41MCAoYnVpbGQgMSwgeDg2XzY0LXc2NC1taW5ndzMyKTxi
cj4mbmJzcDtvZiAyMDIxLTA5LTIxIGJ1aWx0IG9uIFlKMTkwMTY5LVNTRzxicj5SZXBvc2l0
b3J5IHJldmlzaW9uOiA1Yjk2MmE3YWQ4ZDBhY2ZlNDBhNDFjZTEzOTA1OWI5YzhlNDZmNjY2
PGJyPlJlcG9zaXRvcnkgYnJhbmNoOiBtYXN0ZXI8YnI+V2luZG93aW5nIHN5c3RlbSBkaXN0
cmlidXRvciAnTWljcm9zb2Z0IENvcnAuJywgdmVyc2lvbiAxMC4wLjE5MDQzPGJyPlN5c3Rl
bSBEZXNjcmlwdGlvbjogTWljcm9zb2Z0IFdpbmRvd3MgMTAgUHJvICh2MTAuMC4yMDA5LjE5
MDQzLjEyMzcpPGJyPjxicj5Db25maWd1cmVkIHVzaW5nOjxicj4mbmJzcDsnY29uZmlndXJl
IC0td2l0aG91dC1wb3AgLS13aXRoLW5hdGl2ZS1pbWFnZS1hcGk8YnI+Jm5ic3A7LS13aXRo
LW5hdGl2ZS1jb21waWxhdGlvbiAtLXdpdGhvdXQtY29tcHJlc3MtaW5zdGFsbDxicj4mbmJz
cDsnLS1wcm9ncmFtLXRyYW5zZm9ybS1uYW1lPXMvXmN0YWdzJC9jdGFncy5lbWFjcy8nJzxi
cj48YnI+Q29uZmlndXJlZCBmZWF0dXJlczo8YnI+QUNMIERCVVMgR0lGIEdNUCBHTlVUTFMg
SEFSRkJVWlogSlBFRyBKU09OIExDTVMyIExJQlhNTDIgTU9EVUxFUzxicj5OQVRJVkVfQ09N
UCBOT1RJRlkgVzMyTk9USUZZIFBEVU1QRVIgUE5HIFJTVkcgU09VTkQgVEhSRUFEUyBUSUZG
PGJyPlRPT0xLSVRfU0NST0xMX0JBUlMgWFBNIFpMSUI8YnI+PGJyPjwvZGl2Pg==

------=_NextPart_614C3D24_1154B7B8_4586736F--





Acknowledgement sent to "Shuguang Sun" <shuguang79@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50752; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 19 Oct 2021 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.